astro py:docs

- Index
- Modules

### Navigation

- next »
- « previous |
- Astropy v0.3 »
- VOTable XML handling (`astropy.io.votable`) »
- check_ucd

# check_ucd

`astropy.io.votable.ucd.``check_ucd`(ucd, check_controlled_vocabulary=False, has_colon=False)

  Returns False if ucd is not a valid unified content descriptor.

  Parameters:

  ucd : str

  > The UCD string

  check_controlled_vocabulary : bool, optional

  > If `True`, then each word in the UCD will be verified against the UCD1+ controlled vocabulary, (as required by the VOTable specification version 1.2), otherwise not.

  Returns: | valid : bool